package org.gcube.applicationsupportlayer.social;

import org.gcube.application.framework.core.session.ASLSession;
import org.gcube.common.core.utils.logging.GCUBEClientLog;
import org.gcube.portal.databook.server.DatabookStore;

/**
 * 
 * @author Massimiliano Assante, ISTI-CNR
 * @version 0.1 Dec 2012
 *
 */
public class AslNewsManager implements NewsManager {
		
	GCUBEClientLog log = new GCUBEClientLog(AslNewsManager.class);
	
	private ASLSession session;
	private DatabookStore store;
	/**
	 * 
	 * @param session the ASLSession instance
	 */
	public AslNewsManager(ASLSession session) {
		this.session = session;
	}	
	
	/**
	 * use to share an update from your application
	 * 
	 * @param applicationClass your servlet class name will be used ad unique identifier for your application
	 * @param description add a description for the update you are sharing
	 * @param uri the link to which the subject of this update is available
	 * @return true if the update is correctly delivered, false otherwise
	 */
	@Override
	public boolean shareApplicationUpdate(Class<?> applicationClass, String description, String uri) {
		return true;
	}
	/**
	 * use to share an update from your application with a link preview
	 * 
	 * @param applicationClass your servlet class name will be used ad unique identifier for your application with a link preview
	 * @param description add a description for the update you are sharing
	 * @param uri the link to which the subject of this update is available
	 * @param previewTitle the title to show in the preview
	 * @param previewDescription the description to show in the preview
	 * @param previewThumbnailUrl the image url to show in the preview
	 * @return true if the update is correctly delivered, false otherwise
	 */
	@Override
	public boolean shareApplicationUpdate(Class<?> applicationClass, String description, String uri, String previewTitle, String previewDescription, String previewThumbnailUrl) {
		return true;
	}

}
